Main Page Widgets Namespaces Book

# Gtk::Notebook_Helpers::PageList Class Reference

List of all members.

## Detailed Description

An STL-style container for pages in a Gtk::Notebook.

## Public Types

typedef Glib::List_ConstIterator <iterator> | const_iterator
typedef const Page& | const_reference
typedef Glib::List_ConstIterator <reverse_iterator> | const_reverse_iterator
typedef size_t | difference_type
typedef const Element | element_type
typedef PageIterator | iterator
typedef Page& | reference
typedef Glib::List_ReverseIterator <iterator> | reverse_iterator
typedef size_t | size_type
typedef Page | value_type

## Public Member Functions

value_type | back () const
const_iterator | begin () const
iterator | begin ()
void | clear ()
bool | empty () const
const_iterator | end () const
iterator | end ()
iterator | erase (iterator)
void | erase (iterator start, iterator stop)
iterator | find (GtkNotebookPage* t)
iterator | find (Widget& w)
iterator | find (const_reference c)
iterator | find (int num)
value_type | front () const
const GtkNotebook* | gparent () const
GtkNotebook* | gparent ()
template<class InputIterator>
void | insert (iterator position, InputIterator first, InputIterator last)
iterator | insert (iterator position, element_type& e)
size_type | max_size () const
PageList& | operator= (const PageList& src)
value_type | operator[] (size_type l) const
| PageList (const PageList& src)
| PageList (GtkNotebook* gparent)
| PageList ()
void | pop_back ()
void | pop_front ()
void | push_back (element_type& e)
void | push_front (element_type& e)
const_reverse_iterator | rbegin () const
reverse_iterator | rbegin ()
void | remove (Widget& w)
void | remove (const_reference child)
const_reverse_iterator | rend () const
reverse_iterator | rend ()
void | reorder (iterator loc, iterator page)
size_type | size () const

## Protected Member Functions

iterator | begin_ () const
iterator | end_ () const

## Protected Attributes

GtkNotebook* | gparent_

## Member Typedef Documentation

typedef Glib::List_ConstIterator<iterator> Gtk::Notebook_Helpers::PageList::const_iterator

typedef const Page& Gtk::Notebook_Helpers::PageList::const_reference

typedef Glib::List_ConstIterator<reverse_iterator> Gtk::Notebook_Helpers::PageList::const_reverse_iterator

typedef size_t Gtk::Notebook_Helpers::PageList::difference_type

typedef const Element Gtk::Notebook_Helpers::PageList::element_type

typedef PageIterator Gtk::Notebook_Helpers::PageList::iterator

typedef Page& Gtk::Notebook_Helpers::PageList::reference

typedef Glib::List_ReverseIterator<iterator> Gtk::Notebook_Helpers::PageList::reverse_iterator

typedef size_t Gtk::Notebook_Helpers::PageList::size_type

typedef Page Gtk::Notebook_Helpers::PageList::value_type

## Constructor & Destructor Documentation

Gtk::Notebook_Helpers::PageList::PageList | ( |  | ) |

Gtk::Notebook_Helpers::PageList::PageList | ( | GtkNotebook * | gparent | ) | `[explicit]`

Gtk::Notebook_Helpers::PageList::PageList | ( | const PageList& | src | ) |

## Member Function Documentation

value_type Gtk::Notebook_Helpers::PageList::back | ( |  | ) | const

const_iterator Gtk::Notebook_Helpers::PageList::begin | ( |  | ) | const`[inline]`

References begin_().

iterator Gtk::Notebook_Helpers::PageList::begin | ( |  | ) | `[inline]`

References begin_().

Referenced by pop_front(), and push_front().

iterator Gtk::Notebook_Helpers::PageList::begin_ | ( |  | ) | const`[protected]`

Referenced by begin(), and rend().

void Gtk::Notebook_Helpers::PageList::clear | ( |  | ) |

bool Gtk::Notebook_Helpers::PageList::empty | ( |  | ) | const

const_iterator Gtk::Notebook_Helpers::PageList::end | ( |  | ) | const`[inline]`

References end_().

iterator Gtk::Notebook_Helpers::PageList::end | ( |  | ) | `[inline]`

References end_().

Referenced by pop_back(), and push_back().

iterator Gtk::Notebook_Helpers::PageList::end_ | ( |  | ) | const`[protected]`

Referenced by end(), and rbegin().

iterator Gtk::Notebook_Helpers::PageList::erase | ( | iterator |  | ) |

void Gtk::Notebook_Helpers::PageList::erase | ( | iterator | start,
|  | iterator | stop |
| ) |  |  |

Referenced by pop_back(), and pop_front().

iterator Gtk::Notebook_Helpers::PageList::find | ( | GtkNotebookPage * | t | ) |

iterator Gtk::Notebook_Helpers::PageList::find | ( | Widget& | w | ) |

iterator Gtk::Notebook_Helpers::PageList::find | ( | const_reference | c | ) |

iterator Gtk::Notebook_Helpers::PageList::find | ( | int | num | ) |

value_type Gtk::Notebook_Helpers::PageList::front | ( |  | ) | const

const GtkNotebook* Gtk::Notebook_Helpers::PageList::gparent | ( |  | ) | const`[inline]`

References gparent_.

GtkNotebook* Gtk::Notebook_Helpers::PageList::gparent | ( |  | ) | `[inline]`

References gparent_.

template <class InputIterator>

void Gtk::Notebook_Helpers::PageList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last |
| ) |  |  | `[inline]`

References insert().

iterator Gtk::Notebook_Helpers::PageList::insert | ( | iterator | position,
|  | element_type& | e |
| ) |  |  |

Referenced by insert(), push_back(), and push_front().

size_type Gtk::Notebook_Helpers::PageList::max_size | ( |  | ) | const

PageList& Gtk::Notebook_Helpers::PageList::operator= | ( | const PageList& | src | ) |

value_type Gtk::Notebook_Helpers::PageList::operator[] | ( | size_type | l | ) | const

void Gtk::Notebook_Helpers::PageList::pop_back | ( |  | ) | `[inline]`

References end(), and erase().

void Gtk::Notebook_Helpers::PageList::pop_front | ( |  | ) | `[inline]`

References begin(), and erase().

void Gtk::Notebook_Helpers::PageList::push_back | ( | element_type& | e | ) | `[inline]`

References end(), and insert().

void Gtk::Notebook_Helpers::PageList::push_front | ( | element_type& | e | ) | `[inline]`

References begin(), and insert().

const_reverse_iterator Gtk::Notebook_Helpers::PageList::rbegin | ( |  | ) | const`[inline]`

References end_().

reverse_iterator Gtk::Notebook_Helpers::PageList::rbegin | ( |  | ) | `[inline]`

References end_().

void Gtk::Notebook_Helpers::PageList::remove | ( | Widget& | w | ) |

void Gtk::Notebook_Helpers::PageList::remove | ( | const_reference | child | ) |

const_reverse_iterator Gtk::Notebook_Helpers::PageList::rend | ( |  | ) | const`[inline]`

References begin_().

reverse_iterator Gtk::Notebook_Helpers::PageList::rend | ( |  | ) | `[inline]`

References begin_().

void Gtk::Notebook_Helpers::PageList::reorder | ( | iterator | loc,
|  | iterator | page |
| ) |  |  |

size_type Gtk::Notebook_Helpers::PageList::size | ( |  | ) | const

## Member Data Documentation

GtkNotebook* Gtk::Notebook_Helpers::PageList::gparent_`[protected]`

Referenced by gparent().

The documentation for this class was generated from the following file:

- notebook.h